libglade-2.6.4:

	* Fix GTK+ single includes (Felix Riemann)
	* Use G_DEFINE_TYPE instead of registering the type by hand (Felix
	  Riemann)
	* Clean up code (Christian Persch)
	* Remove deprecated GLib functions (Andre Klapper)

libglade-2.6.3:

	* glade_xml_new_from_buffer(): Do not call 
	g_free() on a GObject.  (Matthias Clasen, Peter Clifton)
	* Build: Check for glib >= 2.10 in configure.
	(Murray Cumming)
	* Documentation:
	- Actually show glade_xml_construct_from_buffer().
	(Murray Cumming)
	- Improve the book title and abstract.
	(Diego Gonzalez)
	- Mention gmodule-export-2.0 for autoconnecting. Bug #446175.
	(Murray Cumming)
	* Windows: Export glade_xml_construct_from_buffer().
	(Armin Burgmeier)

libglade-2.6.2:
	* Fix building with gtk+ 2.11.

libglade-2.6.1: 19-July-2007
	- Added glade_xml_construct_from_buffer(), 
	for language bindings. (Douglas C. MacKenzie) 

libglade-2.6.0: 12-July-2006
	- Win32 portability fixes (Tor)
	- Compiler warning fixes (Kjartan)
	- Fixes for ASCII characters in entries (Matthias)

libglade-2.5.1: 11-February-2005
        - Fix toolbar breakage from the 2.4.1/2.5.0 releases.
        - Fix handling of GtkFileChooserDialog internal children.

libglade-2.5.0: 29-November-2004
	- Add support for GtkFileChooserButton, GtkIconView,
	  GtkAboutDialog and GtkMenuToolButton.
	- Register GtkFileChooserDialog correctly.
	- Fix a number of bugs in the libglade-convert utility.
	- Fix some memory leaks in the XML parsing code.
	- Handle tooltips on GtkToolItems properly, and get rid of uses of
	  the old toolbar API.
	- Fix some bugs in setting up ATK relations.
	- Various other bug fixes (see ChangeLog).

libglade-2.4.0: 17-May-2004
	- Stable release.

libglade-2.3.6: 10-March-2004
	- Implement support GtkComboBoxEntry, GtkToolItem, GtkToolButton,
	  GtkToggleToolButton, GtkRadioToolButton & GtkSeparatorToolItem (Damon Chaplin)
	- Fix automake warning (Steve Chaplin)
	- Add libglade version number to the docs (Matthias Clasen)
	- Fix usage of C++ keyword as an argument name (Bas Driessen)
	- Allow additional signal parameter for glademm (Christof Petig)
	- Support tooltips in toolbars (Michael Voigt)

libglade-2.3.2: 15-January-2004
	- Support disambiguating msgids by prefixing them with a context
	  string. (Christian Stimming, Matthias Clasen)

libglade-2.3.1:  14-November-2003
	- Register GtkColorButton, GtkComboBox, GtkFileChooser and
	  GtkFontButton types (Jonathan Blandford)
	- Implemement support for GtkExpander (Mark McLoughlin)
	- Fix memory leak and incorrect colour map usage (Morten Welinder)
	- Win32 build support (Tor Lillqvist, Masahiro Sakai)
	- Build fixes (James Henstridge, Michael Meeks)

libglade-2.0.1:  29-August-2002
	- fix up search path for libglade modules.
	- various memory leak fixes (Kristian Rietveld).

libglade-2.0.0:  6-June-2002
	- fix up docs build, and make docbook files mostly XML
	  compatible in preparation for XMLised gtk-doc.
	- bump version number up to 2.0.0.

libglade-1.99.12: 12-May-2002
	- more changes to help with Murray's C++ bindings.
	- check whether GTK has a GtkPlug implementation to help with
	  building with gtk targets other than X11.
	- Only build the docs if --enable-gtk-doc is passed to configure.
	- pass CFLAGS and LDFLAGS to gtkdoc when building docs, in
	  case they are needed to build against the library (fixes
	  64-bit solaris issues, #81347).
	- fix up a missing g_object_ref() call in AtkRelationSet
	  handling code.
	- More helpful error message if glade file could not be found
	  (#80411).

libglade-1.99.11: 28-April-2002
	- don't ref the AtkRelationSet unless we are going to actually
	  set up relations.
	- Support for GtkFrame::label_item and GtkEntry::invisible_char.
	- some changes from Murray Cumming needed for the C++ bindings.

libglade-1.99.10: 30-March-2002
	- give GtkListItem widgets a "label" attribute; mainly for use
	  by GtkCombo (bug 75471)
	- get rid of the response_id warnings when using GtkDialogs
	  (bug 75300)
	- memory leak fix in use of AtkRelations (bug 75782)
	- better handling of the menu in GtkOptionMenu.  This also
	  fixes the weird sizing bug where the option menu would
	  sometimes grow the first time you popped it up (bug 75590)
	- register GtkSeparatorMenuItem (bug 76682)

libglade-1.99.9: 11-March-2002
	- make build stuff compatible with autoconf-2.53.  This tarball
	  is built with autoconf-2.53 and automake-1.6.
	- fixes for GtkLayout's build_children routine
	- normalise property names (s/-/_/) when parsing glade files.
	- support for wmclass_name and wmclass_class window properties.

libglade-1.99.8: 26-February-2002
	- various libglade-convert updates.  These updates will make
	  libglade-convert produce significantly better glade 2.0
	  files.
	- handle the "has_default" and "has_focus" properties better.
	- fix up test suite so that it will gracefully handle the
	  absense of an X server (the tests will return the error code
	  indicating that the test can not be performed).
	- Install the DTD file, and add an entry to the XML catalog
	  (if possible).  This means we can use a proper URL in the
	  DOCTYPE line of glade files, and still be able to validate
	  without a network connection.
	- handle the agent attribute on property elements.
	- make --enable-debug the default.

libglade-1.99.7: 7-February-2002
	- make the --enable-debug configure option just add support
	  for turning on debugging spew, rather than always spewing.
	  You can select what is spewed with the LIBGLADE_DEBUG
	  environment variable (similar to the glib and gtk debug spew
	  env var).
	- get rid of some unused functions from the module API.  This
	  doesn't affect any applications.
	- lots of documentation updates.  It is now relevant to the
	  devel branch.

libglade-1.99.6: 31-January-2002
	- stop depending on gnome-common macros.
	- some DTD updates from Damon (last_modification_time
	  attribute for signals).
	- handle widget "visibile" property better, so as to not trip
	  up some weird redraw bugs.
	- get rid of deprecated stuff in the API (this shouldn't break
	  anything).
	- add a <placeholder/> element to the file format for
	  representing placeholders, and equivalent code to the parser
	  to ignore them.
	- custom props for GtkMenuItem that act similarly to the
	  "label", "use_underline" and "use_stock" properties of
	  GtkButton.  Corresponding changes to libglade-convert to
	  handle them.
	- if using GCC, set some flags to increase the number of
	  warnings emitted.

libglade-1.99.5: 12-December-2001
	- lots of widget handling updates from Jacob using custom props.
	- make the python check in configure actually work, and don't
	  install libglade-convert if no acceptable python was found.
	- many updates to libglade-convert.

libglade-1.99.4: 26-November-2001
	- start of test suite (from Jacob)
	- add configure magic to try and pick out a usable version of
	  python.
	- add support for "custom properties".  This allows
	  registering handlers that will get called by
	  glade_standard_build_widget() to handle those properties.

libglade-1.99.3: 31-October-2001
	- get rid of the need to call glade_init() before using libglade.
	- new function for registering handlers for types, and
	  automatically support other widget types through the generic
	  handlers.
	- better support for many widgets.
	- remove gnome, bonobo and canvas support moules, as they are
	  being moved to their respective packages.
	- initial ATK support from Bill Haneman.

libglade-1.99.2: 26-September-2001
	- add support for GtkWidget type properties (string
	  representation is the property name).
	- change where headers are installed to match stable branch
	  and not tread on the toes of glade.
	- added gnomeui support.
	- don't install libglade-xgettext script.

libglade-1.99.1: 24-August-2001
	- start of unstable branch.
	- new file format.
	- added libglade-convert script to convert old glade files.
	- use GObject properties for construction of most widgets
	- make GladeXML a GObject

libglade-0.16: 13-February-2001
	- GNOME-DB support contributed by David Marin Carreno.
	- various other bug fixes and a few memory leaks plugged.  See
	  changelog for details.

libglade-0.15: 22-November-2000
	- many bug fixes and memory leak plugs (me, Morten, Federico, others)
	- libglade now does `visible accel group' handling for
	  GnomeDruids as well.
	- Install pkg-config .pc files so that you can get libglade
	  cflags and libs through the pkg-config system as well.  Due
	  to a small bug in pkgconfig-0.4, these files cause a segfault :(
	- Updated bonobo support (Michael)
	- You now need to pass the --enable-bonobo flag to configure
	  to build with bonobo support.
	- small fix to headers so that they don't cause problems with
	  the C++ compiler in RH7.0.

libglade-0.14: 10-July-2000
	- radio menu item support (from patch by Mitch Chapman)
	- make accelerators visible in GtkPixmapMenuitems.
	- Added a glade_set_custom_handler to allow better control
	  over creation of `Custom' widgets.  This can be used by
	  language bindings or other applications that want more
	  control over custom widget handling.
	- add tearoff menu items to menus if gnome settings say that
	  they should be shown.
	- a few other bug fixes.

libglade-0.13: 20-May-2000
	- improved bonobo support from Michael Meeks.
	- building documentation doesn't require an X connection now.
	- accelerators for widgets on notebook pages are now only active
	  when the page is visible (Jon K Hellan).
	- memory leak fixes (Morten).

libglade-0.12: 13-March-2000
	- fixes for GtkHPaned/GtkVPaned.
	- handle progress bar attributes.
	- dock layout should save correctly now for GnomeApp widgets.
	- handle non stock menu icons in GNOME mode.
	- added glade_xml_get_widget_prefix() function to get all widgets
	  whose names start with a certain prefix.
	- added glade_xml_signal_connect_data() function that connects a
	  named signal and allows you to specify the data argument.  This
	  is a simple wrapper around glade_xml_signal_connect_full.
	- bonobo support from Michael Meeks.

libglade-0.11: 5-December-1999
	- fixed some more problems that would cause segfaults on some errors.
	- added support for GtkCalendar and GtkInputDialog.
	- added assertions to some functions to try to pick up more runtime
	  errors.

libglade-0.9:  20-November-1999
	- don't crash when creating a GtkPixmap widget if the pixmap file
	  couldn't be found, or the pixmap file was corrupt.
	- fixed bug with setting the window policy.  If you were using
	  libglade-0.8 and found you could not resize windows correctly, then
	  this bug should now be fixed.

libglade-0.8:  16-November-1999
	- fixed mem leak in the GtkLabel and GtkAccelLabel creation routines.
	  Also recognise the wrap property of these widgets.
	- fixed the code for removing placeholders in the tree, so it actually
	  works.
	- fixed the i18n stuff so it doesn't translate empty strings.
	- take notice of more of the settings on GnomeDruidPageStandard's.
	- don't depend on internal libxml structures.  This means that libxml
	  1.7.2 or greater is required, but libglade will be less likely to
	  break if Daniel changes the internal structures.
	- fixed recognition of GNOME_STOCK_PIXMAP_EXIT.
	- some justification fixes for some menu items.
	- correctly name GnomeDockItems
	- be more consistent with setting the properties of toplevel windows.
	  Also added support for the modal and default_width/default_height
	  properties.
	- test-libglade.c is now dual licenced under GPL and X style licence.
	  This clears up any problems with creating a non GPL/LGPL'd
	  application using test-libglade as a starting point.

libglade-0.7:  28-September-1999
	- Fixed a bug where libglade would seg fault when you tried to load
	  a file that did not exist or was not a valid XML file.  This bug
	  was found by Michael Meeks.
	- Fixed segfault when adding normal buttons to a GnomeDialog's action
	  area.  This fixes bug #2323.

libglade-0.6:  20-September-1999
	- libglade now honours the has_focus and has_default flags for
	  widgets.
	- The correct default for can_focus (false) is now used.  This was
	  found by Miguel.  It should prevent the segfaults caused by
	  infinite recursion some people were seeing.
	- Placeholders are removed from the interface as it gets parsed.  The
	  warnings were not really very useful, and there are times when you
	  want to leave some spaces blank (such as in tables).
	- Fixed bug with setting accelerators that have no modifiers.  This
	  one was found by Paul Clifford.

libglade-0.5:  7-September-1999
	- removed some stuff to do with glade-keys.c I missed in the last
	  release.
	- If a .glade file has been changed on disk since it was last loaded
	  by libglade, it is reparsed.  This should be helpful for libptb.
	- New function glade_xml_new_from_memory for building an interface
	  from an in memory buffer containing the XML file.
	- Better support for underline accelerators.  You can now set
	  underline accelerators on GtkLabel's, and get them to change focus
	  to another widget, click a button, or change the page on a notebook.
	- Added support for the GtkLayout, GnomeIconList, GnomeIconSelection,
	  GnomeDruid, GnomeDruidPageStart, GnomeDruidPageFinish,
	  GnomeDruidPageStandard, GnomePixmap and GnomePropertyBox widgets.

libglade-0.4:  24-August-1999
	- Use gdk_keyval_by_name instead of a local hash table for looking
	  up key values for accelerators.  This removes a big hash table
	  from libglade's overhead.
	- Radio buttons groups are really fixed this time.
	- Table column spacing is correctly interpreted now.
	- Support for the GtkPacker widget has been added.

libglade-0.3:  9-August-1999
	- Changed over to a SAX based XML parser.  This cuts down on memory
	  usage and increases speed a bit for the parser.  It also reduces
	  the number of malloc's and frees.
	- Better handling of accelerator keys, including underline accelerators
	  for menu items and buttons.
	- Miscelaneous bug fixes.

libglade-0.2:  20-June-1999
	- Radio group support
	- The start of gnome support -- this code has been split off into a
	  separate library called libglade-gnome.  You can get the cflags or
	  libraries to link with the gnome code by calling `libglade-config
	  --cflags --libs gnome`.  Also, if you want gnome support, you
	  should call glade_gnome_init() instead of glade_init().
	- I18N support.  Libglade can either use the current translation
	  domain when building the widget tree, or you can specify a
	  different one with glade_xml_new_with_domain().  There is also
	  a program called libglade-xgettext to help extract strings for
	  translation from an XML file.

libglade-0.1: 27-May-1999
	- Many fixes from many people.  This version should actually be
	  useable.
	- Now includes documentation.

libglade-0.0.3: 2-November-1998
	- Forgot to include makekeys.awk -- this may have caused problems
	  for some people.

libglade-0.0.2: 1-November-1998
	- Updated to work with the changes Daniel made to libxml.
	- Added support for keyboard accelerators.

libglade-0.0.1: 25-October-1998
	- Initial release
